package com.drugme.ms.pillbox.gsm;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.telephony.gsm.SmsManager;
import android.widget.Toast;

import com.drugme.ms.pillbox.alarme.AlarmReceiver;

public class AlerteService extends Service{

    final private static String TAG = "AlerteService";

    @Override
    public void onCreate() {
        super.onCreate();
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        super.onStartCommand(intent, flags, startId);
        boolean check = checkStateAlarm();
        String Number = intent.getStringExtra("number");

        if (check){
            stopAlarme();
            sendMessage(Number);
        }

        return START_NOT_STICKY;
    }

    @Override
    public IBinder onBind(Intent arg0) {
        return null;
    }

    private void sendMessage(String sendNumber){

        String message = "Votre patient n'a pas pris son médicament.";

        // Si le numéro est égale à 10 alors on envoi le message d'alerte
        if (sendNumber.length() == 10) {
            SmsManager.getDefault().sendTextMessage(sendNumber, null, message, null, null);
            Toast.makeText(getApplicationContext(), "Un message de prévention a été envoyé.", Toast.LENGTH_SHORT).show();
        } else {
            Toast.makeText(getApplicationContext(), "Veillez indiquer un numéro de téléphone à 10 chiffres.", Toast.LENGTH_SHORT).show();
        }
    }

    private void stopAlarme() {
        // Prepare intent to launch notification
        Toast.makeText(getApplicationContext(), "Stop Alarm", Toast.LENGTH_LONG).show();
        Intent Myintent = new Intent(getBaseContext(), AlarmReceiver.class);
        PendingIntent pendingIntent = PendingIntent.getBroadcast(getApplicationContext(), 1, Myintent, PendingIntent.FLAG_UPDATE_CURRENT);
        AlarmManager am = (AlarmManager) getSystemService(ALARM_SERVICE);
        am.cancel(pendingIntent);
        pendingIntent.cancel();
    }

    private boolean checkStateAlarm (){
        Intent Myintent = new Intent(getApplicationContext(), AlarmReceiver.class);
        return (PendingIntent.getBroadcast(getApplicationContext(), 1,Myintent, PendingIntent.FLAG_NO_CREATE) != null);

    }

}
