package com.drugme.ms.pillbox.util;

import android.os.Environment;
import android.util.Log;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class IOHelper {

    final private static String TAG = "IOHelper";

    //methode pour ecrire sur la memoire externe
    public static void writeFile(String dir, String fileName, String text) {
        File myFile;
        Boolean success = true;
        File myDir = new File(Environment.getExternalStorageDirectory() + File.separator + dir);
        if (!myDir.exists()) {
            success = myDir.mkdir(); // On crée le répertoire (s'il n'existe pas)
            Log.i(TAG, "create directory");
        }
        myFile = new File(myDir, fileName);
        if (!success) {
            Log.i("repertInterne", myFile.getAbsolutePath());
        }
        BufferedWriter writer = null;
        try {
            FileWriter out = new FileWriter(myFile, true); //true pour append
            // Intégration du contenu dans un BufferedWriter
            writer = new BufferedWriter(out);
            writer.write(text);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (writer != null) {
                try { //libération de la ressource
                    writer.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }

}
